package org.ow2.opensuit.samples.movies_db.xml;

import java.util.Locale;

import javax.servlet.http.Cookie;
import javax.servlet.http.HttpServletRequest;

import org.ow2.opensuit.xml.base.Application;
import org.ow2.opensuit.xml.base.locale.ILocaleSelector;
import org.ow2.opensuit.xmlmap.annotations.XmlAncestor;
import org.ow2.opensuit.xmlmap.annotations.XmlElement;
import org.ow2.opensuit.xmlmap.interfaces.IInitializable;
import org.ow2.opensuit.xmlmap.interfaces.IInitializationSupport;
import org.ow2.opensuit.xmlmap.interfaces.IInstantiationContext;


@XmlElement
public class FromCookie implements ILocaleSelector, IInitializable
{
	@XmlAncestor
	private Application application;
	
	public void initialize(IInitializationSupport errors, IInstantiationContext instContext)
	{
	}
	public Locale getLocale(HttpServletRequest request)
	{
		// --- 1: look for language cookie
		Cookie[] cookies = request.getCookies();
		if(cookies != null)
		{
			for(int i=0; i<cookies.length; i++)
			{
				if(cookies[i].getName().equals("lang"))
				{
					return new Locale(cookies[i].getValue());
				}
			}
		}
		// --- 2: cookie not found, return default (first one declared)
		return application.getAllLanguages()[0].getLocale();
	}
}
