package org.ow2.opensuit.samples.movies_db.xml;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.ow2.opensuit.xml.base.action.IAction;
import org.ow2.opensuit.xml.base.binding.Expression;
import org.ow2.opensuit.xmlmap.annotations.XmlAttribute;
import org.ow2.opensuit.xmlmap.annotations.XmlChild;
import org.ow2.opensuit.xmlmap.annotations.XmlElement;
import org.ow2.opensuit.xmlmap.interfaces.IInitializable;
import org.ow2.opensuit.xmlmap.interfaces.IInitializationSupport;
import org.ow2.opensuit.xmlmap.interfaces.IInstantiationContext;


@XmlElement
public class SearchMovieUrl implements IAction, IInitializable
{
	@XmlAttribute(name="Engine")
	private SearchEngines engine;
	@XmlChild(name="Title")
	private Expression title;
	
	public void initialize(IInitializationSupport errors, IInstantiationContext instContext)
	{
	}
	public String getURL(HttpServletRequest request, boolean encodeHtml) throws Exception
	{
		return engine.getSearchMovieUrl(title.invoke(request).toString());
	}
	public void invoke(HttpServletRequest request, HttpServletResponse response) throws Exception
	{
	    response.sendRedirect(getURL(request, false));
	}
}
